INSERT INTO port_fail_patterns VALUES (6200, '#warning "this file includes <sys/termios.h>', 'termios', 0);
INSERT INTO port_fail_patterns VALUES (6300, '(#error define UTMP_FILENAME in config.h|error: ._PATH_UTMP. undeclared|error: .struct utmpx. has no member named .ut_name|error: invalid application of .sizeof. to incomplete type .struct utmp|utmp.h> has been replaced by <utmpx.h)', 'utmp_x', 0);
INSERT INTO port_fail_patterns VALUES (6400, 'error: invalid conversion from .*dirent', 'dirent', 0);
INSERT INTO port_fail_patterns VALUES (6500, '(error: a parameter list without types|error: C++ requires a type specifier|error: allocation of incomplete type|error: array is too large|error: binding of reference|error: call to func.*neither visible|error: called object type|error: cannot combine with previous.*specifier|error: cannot initialize (a parameter|a variable|return object)|error: cannot pass object|error:.*cast from pointer|error: comparison of unsigned.*expression.*is always|error: conversion.*(is ambiguous|specifies type)|error:.*converts between pointers to integer|error: declaration of.*shadows template parameter|error:.*declared as an array with a negative size|error: default arguments cannot be added|error: default initialization of an object|error: definition.*not in a namespace|error:.*directive requires a positive integer argument|error: elaborated type refers to a typedef|error: exception specification|error: expected.*(at end of declaration|expression|identifier)|error: explicit specialization.*after instantiation|error: explicitly assigning a variable|error: expression result unused|error: fields must have a constant size|error: flexible array member|error: (first|second) (argument|parameter) of .main|error: format string is not a string literal|error: function.*is not needed|error: global register values are not supported|error:.*hides overloaded virtual function|error: if statement has empty body|error: illegal storage class on function|error: implicit (conversion|declaration|instantiation)|error: indirection.*will be deleted|error: initializer element is not.*constant|error: initialization of pointer|error: invalid (argument type|integral value|operand|token|use of a cast|value)|error: indirect goto might cross|error:.*is a (private|protected) member|error: member (of anonymous union|reference)|error: no matching member|error: non-const lvalue|error: non-void function.*should return a value|error:.*not supported|error: no (matching constructor|member named|viable overloaded)|error: parameter.*must have type|error: passing.*(a.*value|incompatible type)|error: qualified reference|error: redeclaration of.*built-in type|error:.*requires a (constant expression|pointer or reference|type specifier)|error: redefinition of|error: switch condition has boolean|error: taking the address of a temporary object|error: target.*conflicts with declaration|error:.*unable to pass LLVM bit-code files to linker|error: unexpected token|error: unknown (machine mode|type name)|error: unsupported (inline asm|option)|error: unused (function|parameter)|error: use of (GNU old-style field designator|undeclared identifier|unknown builtin)|error: using the result of an assignment|error: variable.*is unitialized|error: variable length array|error: void function.*should not return a value|the clang compiler does not support|Unknown depmode none)', 'clang', 0);
INSERT INTO port_fail_patterns VALUES (6600, '(Cannot exec cc|cannot find program cc|cc: No such file or directory|cc.*must be installed to build|cc.*not found|compiler not found|error: no acceptable C compiler|g\+\+: No such file or directory|g\+\+.*not found)', 'assumes_gcc', 0);
INSERT INTO port_fail_patterns VALUES (6700, '(clang: error: unable to execute command|error: cannot compile this.*yet|error: clang frontend command failed|error:.*ignoring directive for now|error: (invalid|unknown) argument|error: (invalid|unknown use of) instruction mnemonic|error:.*please report this as a bug)', 'clang-bug', 0);
INSERT INTO port_fail_patterns VALUES (6800, '(missing separator|mixed implicit and normal rules|recipe commences before first target).*Stop', 'gmake', 0);
INSERT INTO port_fail_reasons VALUES ('termios', 'This port needs to catch up with the termios.h changes in src.', 'RARE');
INSERT INTO port_fail_reasons VALUES ('utmp_x', 'This port needs to catch up with the utmp_x.h changes in src.', 'RARE');
INSERT INTO port_fail_reasons VALUES ('dirent', 'The port has not caught up with the change to scandir(3) as committed in FreeBSD version 800501.', 'RARE');
INSERT INTO port_fail_reasons VALUES ('clang', 'Your code does not run with the the experimental clang compiler.', 'COMMON');
INSERT INTO port_fail_reasons VALUES ('assumes_gcc', 'This port does not install with the the experimental clang compiler due to hardwired assumptions about gcc being the compiler.', 'COMMON');
INSERT INTO port_fail_reasons VALUES ('clang-bug', 'You have tickled a bug in clang itself.', 'RARE');
INSERT INTO port_fail_reasons VALUES ('gmake', 'Your code does not run with the latest, incompatible, gmake version (3.82.)', 'COMMON');
UPDATE config SET config_option_value = '3.2.5' WHERE config_option_name = '__DSVERSION__';
